Bug 13925 - Название макроcа %__autoreconf предполагает, что этот макрос внутренний
: Название макроcа %__autoreconf предполагает, что этот макрос внутренний
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-07 19:30 by
Modified: 2008-01-31 16:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-07 19:30:03
Макрос %__autoreconf начинается с __, но при этом разрешён к использванию в 
спек-файлах. Это нарушает неявное правило, соблюдающееся другими макросами: 
"макросы, начинающиеся на __ - внутренние для RPM, и не должны использоваться в 
спек-файлах..

Предлагается для повышения консистентности именования и уменьшения количества 
вопросов в списках рассылки создать макрос %autoreconf, сохранив %__autoreconf 
для обратной совместимости, но не документировать его (при его использовании 
выплёвывать в лог предупреждение о том, что он устарел, если это возможно в 
RPM).
------- Comment #1 From 2008-01-07 19:31:23 -------
Не документировать и выплёвывать предупреждение, конечно же, при использовании 
%__autoreconf.
------- Comment #2 From 2008-01-07 19:50:03 -------
А %autoreconf тогда будет походить на внутренние секции RPM из спек-файла (типа
%setup/%build)...
------- Comment #3 From 2008-01-07 19:53:37 -------
2slava: %make, %setup, %def_enable, %configure, %make_build, %dir, %config - 
они все походят на внутренние секции RPM из спек-файла.
------- Comment #4 From 2008-01-08 00:13:18 -------
(In reply to comment #0)
> Макрос %__autoreconf начинается с __, но при этом разрешён к использванию в 
> спек-файлах. Это нарушает неявное правило, соблюдающееся другими макросами: 
> "макросы, начинающиеся на __ - внутренние для RPM, и не должны использоваться в 
> спек-файлах..
> 
> Предлагается для повышения консистентности именования и уменьшения количества 
> вопросов в списках рассылки создать макрос %autoreconf, сохранив %__autoreconf 
> для обратной совместимости, но не документировать его

логично

> (при его использовании 
> выплёвывать в лог предупреждение о том, что он устарел, если это возможно в 
> RPM).

это возможно, но мало кто предупреждение заметит.
------- Comment #5 From 2008-01-08 00:43:53 -------
> это возможно, но мало кто предупреждение заметит.

Вреда особого не принесёт, а польза будет ненулевая - кто-нибудь всё равно 
заметит и исправит свой пакет.
------- Comment #6 From 2008-01-18 23:06:27 -------
Fixed in 4.0.4-alt83: макрос переименован, предупреждение добавлено.